Project

General

Profile

Bug #38185

Cant install plugin

Added by Roman M about 1 year ago. Updated about 1 year ago.

Status:
Closed
Priority:
No priority
Assignee:
Brandon Schneider
Category:
Middleware
Target version:
Seen in:
Severity:
Med High
Reason for Closing:
Duplicate Issue
Reason for Blocked:
Needs QA:
Yes
Needs Doc:
Yes
Needs Merging:
Yes
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

When trying to add a plugin the setup ends up with different errors.


Error: concurrent.futures.process._RemoteTraceback: 
""" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 238, in fetch
    iocage.fetch(**options)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
    props, accept_license=accept, official=official)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 689, in fetch_plugin_index
    props, 0, accept_license)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 122, in fetch_plugin
    props, jail_name)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 303, in __fetch_plugin_create__
    exit_on_error=self.exit_on_error).create_jail()
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_create.py", line 87, in create_jail
    return self._create_jail(jail_uuid, location)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_create.py", line 176, in _create_jail
    config = self.create_config(jail_uuid, cloned_release)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_create.py", line 507, in create_config
    jail_props = ioc_json.json_check_default_config()
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_json.py", line 1761, in json_check_default_config
    self.json_write(default_props, default_json_location)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_json.py", line 426, in json_write
    json.dump(data, out, sort_keys=True, indent=4, ensure_ascii=False)
  File "/usr/local/lib/python3.6/contextlib.py", line 88, in __exit__
    next(self.gen)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 430, in open_atomic
    os.chmod(filepath, 0o644)
PermissionError: [Errno 1] Operation not permitted: '/mnt/wd/iocage/defaults.json'
""" 

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
    await self.future
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in __run_body
    rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
    job,
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
PermissionError: [Errno 1] Operation not permitted: '/mnt/wd/iocage/defaults.json'

Related issues

Related to FreeNAS - Bug #37870: Plugins will not install fail with {repo} could not be reached, please check your DNS Closed
Is duplicate of FreeNAS - Bug #38195: Use UNIX ACLs on iocage datasetsDone

History

#1 Updated by Roman M about 1 year ago

  • File debug.tgz added

#2 Updated by Dru Lavigne about 1 year ago

  • Assignee changed from Release Council to Erin Clark
  • Target version changed from Backlog to 11.2-BETA2
  • Private changed from No to Yes

#3 Updated by Erin Clark about 1 year ago

  • Assignee changed from Erin Clark to Lola Yang

#5 Updated by Lola Yang about 1 year ago

  • Category changed from GUI (new) to Middleware
  • Assignee changed from Lola Yang to Brandon Schneider

#7 Updated by Dru Lavigne about 1 year ago

  • Related to Bug #37870: Plugins will not install fail with {repo} could not be reached, please check your DNS added

#8 Updated by William Grzybowski about 1 year ago

  • Status changed from Unscreened to Closed
  • Target version changed from 11.2-BETA2 to N/A
  • Reason for Closing set to Duplicate Issue

#9 Updated by William Grzybowski about 1 year ago

  • Is duplicate of Bug #38195: Use UNIX ACLs on iocage datasets added

#10 Updated by Dru Lavigne about 1 year ago

  • File deleted (debug.tgz)

#11 Updated by Dru Lavigne about 1 year ago

  • Private changed from Yes to No

Also available in: Atom PDF